Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/src/Functionnal_unit_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/src/Functionnal_unit_vhdl_body.cpp	(revision 136)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Functionnal_unit/src/Functionnal_unit_vhdl_body.cpp	(revision 137)
@@ -370,15 +370,12 @@
     vhdl->set_body (1,std_logic_cst(1,0)+"when others;");
 
-#ifdef SYSTEMC_VHDL_COMPATIBILITY
     vhdl->set_body (0,"with reg_EXECUTE_IN_TYPE select");
     vhdl->set_body (0,"sig_EXECUTE_OUT_ADDRESS <=");
     vhdl->set_body (1,"sig_ADDR_BRANCH when "+std_logic_cst(_param->_size_type,TYPE_BRANCH)+",");
+#ifdef SYSTEMC_VHDL_COMPATIBILITY
     vhdl->set_body (1,"sig_A_OR_B("+toString(_param->_size_instruction_address-1)+" downto 0) when "+std_logic_cst(_param->_size_type,TYPE_SPECIAL)+",");
     vhdl->set_body (1,std_logic_cst(_param->_size_instruction_address,0)+" when others;");
 #else
-    vhdl->set_body (0,"with reg_EXECUTE_IN_TYPE select");
-    vhdl->set_body (0,"sig_EXECUTE_OUT_ADDRESS <=");
-    vhdl->set_body (1,"sig_ADDR_BRANCH when "+std_logic_cst(_param->_size_type,TYPE_BRANCH)+",");
-    vhdl->set_body (1,"sig_A_OR_B when others;");
+    vhdl->set_body (1,"sig_A_OR_B ("+toString(_param->_size_instruction_address-1)+" downto 0) when others;");
 //    vhdl->set_body (0,"sig_EXECUTE_OUT_ADDRESS <= sig_ADDR_BRANCH;");
 #endif
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Execute_queue_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Execute_queue_vhdl_body.cpp	(revision 136)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Execute_queue/src/Execute_queue_vhdl_body.cpp	(revision 137)
@@ -140,10 +140,10 @@
     vhdl->set_body   (0,"out_EXECUTE_QUEUE_OUT_DATA          "+std_logic_range(_param->_size_general_data       )+" <= internal_EXECUTE_QUEUE_OUT_DATA         ;");
 
-    vhdl->set_debug  ("in_CLOCK = 'U'","GLOP1: Clock = 'U'");
-    vhdl->set_debug  ("in_CLOCK = 'X'","GLOP2: Clock = 'X'");
-    vhdl->set_debug  ("in_CLOCK = 'Z'","GLOP3: Clock = 'Z'");
-    vhdl->set_debug  ("in_CLOCK = 'W'","GLOP4: Clock = 'W'");
-    vhdl->set_debug  ("in_CLOCK = '1'","KANE : Clock = '1'");
-    vhdl->set_debug  ("in_CLOCK = '0'","SETH : Clock = '0'");
+//     vhdl->set_debug  ("in_CLOCK = 'U'","GLOP1: Clock = 'U'");
+//     vhdl->set_debug  ("in_CLOCK = 'X'","GLOP2: Clock = 'X'");
+//     vhdl->set_debug  ("in_CLOCK = 'Z'","GLOP3: Clock = 'Z'");
+//     vhdl->set_debug  ("in_CLOCK = 'W'","GLOP4: Clock = 'W'");
+//     vhdl->set_debug  ("in_CLOCK = '1'","KANE : Clock = '1'");
+//     vhdl->set_debug  ("in_CLOCK = '0'","SETH : Clock = '0'");
 
     log_printf(FUNC,Execute_queue,FUNCTION,"End");
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_vhdl_body.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_vhdl_body.cpp	(revision 136)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/Register_unit_Glue/src/Register_unit_Glue_vhdl_body.cpp	(revision 137)
@@ -24,6 +24,6 @@
     log_printf(FUNC,Register_unit_Glue,FUNCTION,"Begin");
 
-    vhdl->set_body("out_CONST_0 <= '0';");
-    vhdl->set_body("out_CONST_1 <= '1';");
+    // vhdl->set_body("out_CONST_0 <= '0';");
+    // vhdl->set_body("out_CONST_1 <= '1';");
 
     //-----------------------------------
